-- Optics --

local scriptItem = ScriptManager.instance:getItem("Base.Laser")
if scriptItem then
    scriptItem:DoParam("MountOn = Pistol; Pistol2; Base.Glock17; Pistol3; AssaultRifle; FN_FAL; M16A2; M733; AR15; M24Rifle; AssaultRifle2; AK47; SKS")
    scriptItem:DoParam("Weight = 0.15")
    scriptItem:DoParam("WeightModifier = 0.15")
    scriptItem:DoParam("HitChanceModifier = 8")
    scriptItem:DoParam("AimingTimeModifier = 5")
    scriptItem:DoParam("MinRangeModifier = -10")
    scriptItem:DoParam("PartType = Stock")
end

scriptItem = ScriptManager.instance:getItem("Base.RedDot")
if scriptItem then
    scriptItem:DoParam("MountOn = Pistol; Pistol2; Pistol3; Base.Glock17; Base.HuntingRifle_Sawn; Shotgun; ShotgunSawnoff; Base.Remington870Sawnoff; Base.Mossberg500; Mossberg500Tactical; LAW12; Base.Remington870Wood; Base.MP5; Base.UZI; AssaultRifle; AssaultRifle2; Base.M24Rifle; Base.M16A2; M733; Rugerm7722; FN_FAL; AR15; AK47; SKS")
    scriptItem:DoParam("Weight = 0.15")
    scriptItem:DoParam("WeightModifier = 0.15")
    scriptItem:DoParam("HitChanceModifier = 5")
    scriptItem:DoParam("AimingTimeModifier = 8")
end

scriptItem = ScriptManager.instance:getItem("Base.x2Scope")
if scriptItem then
    scriptItem:DoParam("MountOn = HuntingRifle; VarmintRifle; Base.HuntingRifle_Sawn; AssaultRifle; Base.M16A2; M733; AssaultRifle2; Base.M24Rifle; Base.MP5; Base.UZI; Mossberg500Tactical; LAW12; Base.Mossberg500; Shotgun; ShotgunSawnoff; Base.Remington870Sawnoff; Base.Remington870Wood; Rugerm7722; FN_FAL; AR15")
    scriptItem:DoParam("MinRangeModifier = 0.8")
    scriptItem:DoParam("Weight = 0.2")
    scriptItem:DoParam("WeightModifier = 0.2")
    scriptItem:DoParam("HitChanceModifier = 5")
end

scriptItem = ScriptManager.instance:getItem("Base.x4Scope")
if scriptItem then
    scriptItem:DoParam("MountOn = HuntingRifle; VarmintRifle; Base.HuntingRifle_Sawn; AssaultRifle; Base.M16A2; M733; AssaultRifle2; Base.M24Rifle; Base.MP5; Mossberg500Tactical; LAW12; Rugerm7722; FN_FAL; AR15")
    scriptItem:DoParam("Icon = Scope2x")
    scriptItem:DoParam("MinRangeModifier = 2")
    scriptItem:DoParam("HitChanceModifier = 5")
end

scriptItem = ScriptManager.instance:getItem("Base.x8Scope")
if scriptItem then
    scriptItem:DoParam("Weight = 0.6")
    scriptItem:DoParam("WeightModifier = 0.6")
    scriptItem:DoParam("HitChanceModifier = 5")
end

scriptItem = ScriptManager.instance:getItem("Base.x4-x12Scope")
if scriptItem then
    scriptItem:DoParam("MinRangeModifier = 2")
    scriptItem:DoParam("Weight = 1")
    scriptItem:DoParam("WeightModifier = 1")
    scriptItem:DoParam("HitChanceModifier = 5")
end

-- Suppressor --

scriptItem = ScriptManager.instance:getItem("Base.223Silencer")
if scriptItem then
    scriptItem:DoParam("MountOn = VarmintRifle; AssaultRifle; M16A2; M733; AR15")
end

-- Sling --

scriptItem = ScriptManager.instance:getItem("Base.Sling")
if scriptItem then
    scriptItem:DoParam("Weight = 0.2")
    scriptItem:DoParam("WeightModifier = -1")
end

scriptItem = ScriptManager.instance:getItem("Base.Sling_Leather")
if scriptItem then
    scriptItem:DoParam("Weight = 0.2")
    scriptItem:DoParam("WeightModifier = -1")
end

scriptItem = ScriptManager.instance:getItem("Base.Sling_Olive")
if scriptItem then
    scriptItem:DoParam("Weight = 0.2")
    scriptItem:DoParam("WeightModifier = -1")
end

scriptItem = ScriptManager.instance:getItem("Base.Sling_Camo")
if scriptItem then
    scriptItem:DoParam("Weight = 0.2")
    scriptItem:DoParam("WeightModifier = -1")
end

--[[
scriptItem = ScriptManager.instance:getItem("Base.AmmoStraps")
if scriptItem then
    scriptItem:DoParam("Weight = 0.25")
    scriptItem:DoParam("WeightModifier = -0.25")
    scriptItem:DoParam("ReloadTimeModifier = 10")
end
]]

-- Stock --

scriptItem = ScriptManager.instance:getItem("Base.MP5_Stock_Extended")
if scriptItem then
    scriptItem:DoParam("RecoilDelayModifier = 0")
    scriptItem:DoParam("HitChanceModifier = 8")
    scriptItem:DoParam("Weight = 0.4")
    scriptItem:DoParam("WeightModifier = 0.4")
--    scriptItem:DoParam("PartType = RecoilPad")
end

scriptItem = ScriptManager.instance:getItem("Base.MP5_Stock_Detracted")
if scriptItem then
    scriptItem:DoParam("HitChanceModifier = 5")
    scriptItem:DoParam("Weight = 0.4")
    scriptItem:DoParam("WeightModifier = 0.2")
--    scriptItem:DoParam("PartType = RecoilPad")
end

scriptItem = ScriptManager.instance:getItem("Base.UZI_Stock_Extended")
if scriptItem then
    scriptItem:DoParam("RecoilDelayModifier = 0")
    scriptItem:DoParam("HitChanceModifier = 8")
    scriptItem:DoParam("Weight = 0.25")
    scriptItem:DoParam("WeightModifier = 0.25")
end

scriptItem = ScriptManager.instance:getItem("Base.UZI_Stock_Detracted")
if scriptItem then
    scriptItem:DoParam("Weight = 0.25")
    scriptItem:DoParam("WeightModifier = 0.1")
end

scriptItem = ScriptManager.instance:getItem("Base.Mac10_Stock_Extended")
if scriptItem then
    scriptItem:DoParam("RecoilDelayModifier = 0")
    scriptItem:DoParam("HitChanceModifier = 8")
    scriptItem:DoParam("Weight = 0.25")
    scriptItem:DoParam("WeightModifier = 0.25")
end

scriptItem = ScriptManager.instance:getItem("Base.Mac10_Stock_Detracted")
if scriptItem then
    scriptItem:DoParam("Weight = 0.25")
    scriptItem:DoParam("WeightModifier = 0.1")
end

-- Others --

scriptItem = ScriptManager.instance:getItem("Base.Rifle_Bipod")
if scriptItem then
    scriptItem:DoParam("HitChanceModifier = 12")
    scriptItem:DoParam("WeightModifier = 0.5")
end